Accounts App
============

This is aimed to be a reusable app for our cookiecutter.
It add an account model to our user to store additionnal data.


Install
-------

- create your virtualenv and `pip install -r requirements.txt`. For dev purposes, `pip install -r requirements-dev.txt`.

- In your `INSTALLED_APPS`, add:

```python
    'modeltranslation',  # translation within models
    ...
    'django.contrib.sites',


    'crispy_forms',  # nice looking forms
    'crispy_forms_foundation',
    'django-countries',  # needed for the CountryField
    'registration',
    'accounts',
```

`modeltranslation` should be placed on top of the installed apps.

There is an automatic check which makes sure all of these apps are in INSTALLED_APPS.

- Add url(r'^', include('accounts.urls')) in your urls.py

- Ensure you're using foundation with crispyforms, in your settings, add:

```python
CRISPY_ALLOWED_TEMPLATE_PACKS = (
    'bootstrap',
    'uni_form',
    'bootstrap3',
    'bootstrap4',
    'foundation-5',
)
CRISPY_TEMPLATE_PACK = 'foundation-5'
```

- Set the correct settings for `EMAIL_BACKEND` in your `settings.py`.

- Registration configuration (settings.py):

`ACCOUNT_ACTIVATION_DAYS = 7 # One-week activation window; you may, of course, use a different value.`
`DEFAULT_ACTIVE_SUBSCRIBE_EMAILS = ["webmaster@test.fr", ]` (to receive a notification by email when a user subscribe)

Also, you need to add `SITE_ID = 1` for django.contrib.sites to be configured correctly

TEST & DEV
----------

There is requirements-dev.txt with pdb, django-extensions and pygraphviz.

Run tests with the following command:
`pytest`

To create a new db while running tests: `pytest --create-db`
The default behavior reuse the same db for performance reasons
