# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.contrib.auth.models import User
from django.db import models
from django.utils.encoding import python_2_unicode_compatible
from django.utils.translation import ugettext as _

from django_countries.fields import CountryField


@python_2_unicode_compatible
class UserProfile(models.Model):
    user = models.OneToOneField(User, verbose_name=_('User'))
    company = models.CharField(_('Company'), max_length=255, blank=True)
    function = models.CharField(_('Function'), max_length=255, blank=True)
    address = models.TextField(_('Address'), blank=True)
    zip_code = models.CharField(_('Zip Code'), max_length=15, blank=True)
    city = models.CharField(_('City'), max_length=100, blank=True)
    country = CountryField(_('Country'), blank=True)
    phone = models.CharField(_('Professional phone number'), max_length=25,
                             blank=True)

    class Meta:
        verbose_name = "User Profile"
        verbose_name_plural = "User Profiles"

    def __str__(self):
        return _("%s Profile") % self.user.__str__()
